%define modname session
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 47_%{modname}.ini

Summary:	Session extension module for PHP
Name:		php-%{modname}
Version:	5.1.6
Release:	%mkrel 1
Group:		Development/PHP
URL:		http://www.php.net
License:	PHP License
Source0:	%{modname}.ini.bz2
Source1:	maxlifetime.bz2
Source2:	php.crond.bz2
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	php-devel >= 5.1.0
BuildRequires:	mm-devel
Provides:	php5-session
Obsoletes:	php5-session
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Epoch:		3

%description
This is a dynamic shared object (DSO) for PHP that will add session support.

Session support in PHP consists of a way to preserve certain data across
subsequent accesses. This enables you to build more customized applications and
increase the appeal of your web site.
 
A visitor accessing your web site is assigned a unique id, the so-called
session id. This is either stored in a cookie on the user side or is propagated
in the URL.

This package provides two versions of the session extension:

 o session.so    - File based sessions (default)

 o session-mm.so - Uses shared memory allocation (mm), developed by Ralf S.
                   Engelschall, for session storage. (optional)

%prep

%setup -c -T
cp -dpR %{_usrsrc}/php-devel/extensions/%{dirname}/* .

bzcat %{SOURCE0} > %{inifile}
bzcat %{SOURCE1} > maxlifetime
bzcat %{SOURCE2} > php.crond

# lib64 hack
perl -p -i -e "s|/usr/lib|%{_libdir}|" php.crond

%build

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix} \
    --with-mm=%{_prefix}

%make
cp -p modules/session.so _session-mm.so_

make clean

%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make

mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_sysconfdir}/cron.d
install -d %{buildroot}%{_localstatedir}/php
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 _session-mm.so_ %{buildroot}%{_libdir}/php/extensions/session-mm.so
install -m0755 session.so %{buildroot}%{_libdir}/php/extensions/

install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/
install -m0755 maxlifetime %{buildroot}%{_libdir}/php/maxlifetime
install -m0644 php.crond %{buildroot}%{_sysconfdir}/cron.d/php

%pre
%_pre_useradd apache /var/www /bin/sh

%postun
%_postun_userdel apache

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0644,root,root) %{_sysconfdir}/cron.d/php
%attr(0755,root,root) %{_libdir}/php/extensions/session-mm.so
%attr(0755,root,root) %{_libdir}/php/extensions/session.so
%attr(0755,root,root) %{_libdir}/php/maxlifetime
%attr(01733,apache,apache) %dir %{_localstatedir}/php

%changelog
* Sun Aug 27 2006 Oden Eriksson <oeriksson@mandriva.com> 3:5.1.6-1
- rebuilt for php-5.1.6

* Sat Jul 29 2006 Oden Eriksson <oeriksson@mandriva.com> 3:5.1.4-7mdv2007.0
- fix #22210

* Wed Jul 26 2006 Oden Eriksson <oeriksson@mandriva.com> 3:5.1.4-5mdv2007.1
- rebuild

* Thu Jul 20 2006 Oden Eriksson <oeriksson@mandriva.com> 3:5.1.4-5mdv2007.0
- fix #23046

* Sat May 13 2006 Oden Eriksson <oeriksson@mandriva.com> 3:5.1.4-4mdk
- move the session related stuff frpm php-ini to this package

* Thu May 11 2006 Oden Eriksson <oeriksson@mandriva.com> 3:5.1.4-3mdk
- put sessions in /var/lib/php (#22401)

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 3:5.1.4-2mdk
- rebuilt due to patches applied in php-5.1.4-2mdk

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 3:5.1.4-1mdk
- rebuilt for php-5.1.4

* Thu May 04 2006 Oden Eriksson <oeriksson@mandriva.com> 3:5.1.3-1mdk
- rebuilt for php-5.1.3

* Thu Feb 02 2006 Oden Eriksson <oeriksson@mandriva.com> 3:5.1.2-2mdk
- new group (Development/PHP) and iurt rebuild

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 3:5.1.2-1mdk
- rebuilt against php-5.1.2

* Sat Dec 31 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.1-2mdk
- rebuilt against new mm

* Tue Nov 29 2005 Oden Eriksson <oeriksson@mandriva.com> 3:5.1.1-1mdk
- rebuilt against php-5.1.1

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 3:5.1.0-1mdk
- rebuilt against php-5.1.0

* Thu Nov 03 2005 Oden Eriksson <oeriksson@mandriva.com> 3:5.1.0-0.RC4.1mdk
- rebuilt against php-5.1.0RC4

* Sat Oct 29 2005 Oden Eriksson <oeriksson@mandriva.com> 3:5.1.0-0.RC1.2mdk
- rebuilt to provide a -debug package too
- provide a mm enabled session too :)

* Sat Oct 01 2005 Oden Eriksson <oeriksson@mandriva.com> 3:5.1.0-0.RC1.1mdk
- rebuilt against php-5.1.0RC1

* Tue Sep 06 2005 Oden Eriksson <oeriksson@mandriva.com> 3:5.0.5-1mdk
- rebuilt against php-5.0.5 (Major security fixes)

* Thu May 26 2005 Oden Eriksson <oeriksson@mandriva.com> 3:5.0.4-1mdk
- rename the package

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4-1mdk
- 5.0.4

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3-3mdk
- rebuilt against a non hardened-php aware php lib

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3-2mdk
- rebuild due to hardened-php-0.2.6

* Fri Dec 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3-1mdk
- rebuilt for php-5.0.3

* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2-1mdk
- rebuilt for php-5.0.2

* Sat Aug 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.1-1mdk
- rebuilt for php-5.0.1

* Tue Aug 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.0-1mdk
- initial mandrake package
